%define GCC_PREFIX /usr
%define CPP_PREFIX /lib
%define GCC_VERSION 2.95.1
%define STDC_VERSION 2.10.0
%define LIBGCJ_VERSION 2.95.1
%define SERIAL 3
Prefix: %{GCC_PREFIX}
Prefix: %{CPP_PREFIX}
Summary: gcc compilation system
Name: gcc
Version: %{GCC_VERSION}
Release: %{SERIAL}
Copyright: GPL
Group: Development/Languages
Source0: ftp://ftp.gnu.org/pub/gnu/gcc/gcc-%{GCC_VERSION}.tar.bz2
Source1: libstdc++-compat-redhat.tar.gz
Source2: libstdc++-compat-mandrake.tar.gz
Source3: ftp://sourceware.cygnus.com/pub/java/libgcj-%{LIBGCJ_VERSION}.tar.gz
Patch0: gcc-%{LIBGCJ_VERSION}-libgcj-config.patch
Patch1: gcc-%{GCC_VERSION}-config.guess.patch
Patch2: gcc-%{GCC_VERSION}-f.patch
Patch3: gcc-%{GCC_VERSION}-gcc.patch
Patch4: gcc-%{GCC_VERSION}-if.patch
Patch5: gcc-%{GCC_VERSION}-libf2c.patch
Patch6: gcc-%{GCC_VERSION}-libobjc.patch
Patch7: gcc-%{GCC_VERSION}-glibc.cross.patch
URL: http://www.gnu.org/
Packager: Vu Hung Quan <binaire@videotron.ca>
BuildRoot: /var/tmp/gcc-%{GCC_VERSION}-root
Obsoletes: egcs
Provides: gcc
Requires: binutils >= 2.9.5.0.12
Requires: cpp = %{GCC_VERSION}
Prereq: /sbin/install-info

%description
This package contains the gnu C compiler and the corressponding
libraries.

%package c++
Summary: C++ support for gcc
Group: Development/Languages
Requires: gcc = %{GCC_VERSION}
Requires: cpp = %{GCC_VERSION}
Provides: gcc-c++
Obsoletes: libstdc++-devel
Obsoletes: libg++-devel
Obsoletes: egcs-c++

%description c++
This package adds C++ support to the GNU C compiler. It includes support for
most of the current C++ specification, including templates and exception
handling. It does include the static standard C++ library and C++ header
files; the library for dynamically linking programs is available separately.

%package -n libstdc++
Summary: GNU c++ library
Group: System Environment/Libraries
Version: %{GCC_VERSION}_%{STDC_VERSION}
Release: %{SERIAL}
Provides: libstdc++
Requires: glibc >= 2.1.2
Obsoletes: gcc-libstdc++ 
Obsoletes: egcs-libstdc++
Obsoletes: libg++

%description -n libstdc++
This is the GNU implementation of the standard C++ libraries This package
includes the shared libraries necessary to run C++ applications.

%package objc
Summary: Objective C support for gcc
Group: Development/Languages
Requires: gcc = %{GCC_VERSION}
Requires: cpp = %{GCC_VERSION}
Provides: gcc-objc
Obsoletes: egcs-objc

%description objc
This package adds Objective C support to the GNU C compiler. Objective
C is a object oriented derivative of the C language, mainly used on
systems running NeXTSTEP. This package does not include the standard
objective C object library.

%package g77
Summary: Fortran 77 support for gcc
Group: Development/Languages
Requires: gcc = %{GCC_VERSION}
Requires: cpp = %{GCC_VERSION}
Provides: gcc-g77
Obsoletes: egcs-g77

%description g77
This package adds support for compiling Fortran 77 programs with the GNU
compiler.

%package chill
Summary: CHILL support for gcc
Group: Development/Languages
Requires: gcc = %{GCC_VERSION}
Requires: cpp = %{GCC_VERSION}
Provides: gcc-CHILL

%description chill
This package adds support for compiling CHILL programs with the GNU
compiler.

Chill is the "CCITT High-Level Language", where CCITT is the old
name for what is now ITU, the International Telecommunications Union.
It is is language in the Modula2 family, and targets many of the
same applications as Ada (especially large embedded systems).
Chill was never used much in the United States, but is still
being used in Europe, Brazil, Korea, and other places.

%package java
Summary: Java support for gcc
Group: Development/Languages
Requires: gcc = %{GCC_VERSION}
Requires: cpp = %{GCC_VERSION}
Provides: gcc-java

%description java
This package adds experimental support for compiling Java(tm) programs and
bytecode into native code. To use this you will also need the gcc-libgcj
package.

%package -n libgcj
Summary: Java runtime library for gcc
Group: System Environment/Libraries
Url: http://sourceware.cygnus.com/java/
Version: %{LIBGCJ_VERSION}
Release: %{SERIAL}
Requires: zip >= 2.1
Requires: gcc-java = %{GCC_VERSION}
Provides: gcc-libgcj

%description -n libgcj
The Java runtime library. You will need this package to compile your Java
programs using the gcc Java compiler (gcj).

%package -n cpp
Summary: The C Preprocessor.
Group: Development/Languages
Prereq: /sbin/install-info
Provides: cpp

%description -n cpp
The C preprocessor is a 'macro processor' which is used automatically
by the C compiler to transform your program before actual
compilation. It is called a macro processor because it allows
you to define 'macros,' which are abbreviations for longer
constructs.

The C preprocessor provides four separate facilities that you can use as
you see fit:

* Inclusion of header files. These are files of declarations that can be
  substituted into your program.
* Macro expansion. You can define 'macros,' which are abbreviations for 
  arbitrary fragments of C code, and then the C preprocessor will replace
  the macros with their definitions throughout the program.
* Conditional compilation. Using special preprocessing directives,
  you can include or exclude parts of the program according to various
  conditions.
* Line control. If you use a program to combine or rearrange source files
  into an intermediate file which is then compiled, you can use line
  control to inform the compiler about where each source line originated.

You should install this package if you are a programmer who is searching for
such a macro processor.

%prep
%setup -q -n gcc-%{GCC_VERSION}
%setup -q -a3 -D -T -n gcc-%{GCC_VERSION}
mv libgcj-%{LIBGCJ_VERSION} libgcj
mv libgcj/boehm-gc libgcj/libjava libgcj/zlib libgcj/zip .
cp -f libgcj/ltmain.sh libgcj/ltconfig .
%patch0 -p1 -b .libgcj
%patch1 -p0 -b .config
%patch2 -p0 -b .f
%patch3 -p1 -b .gcc
%patch4 -p0 -b .if
%patch5 -p1 -b .libf2c
%patch6 -p0 -b .libobjc
%patch7 -p0 -b .glibc
mkdir compat
if [ %{_vendor} = "redhat" -o %{_vendor} = "pc" ]  ; then
tar xzf %{SOURCE1} -C compat
fi
if [ %{_vendor} = "mandrake" ]  ; then
tar xzf %{SOURCE2} -C compat
fi

%build
rm -fr obj-%{_target_platform}
mkdir obj-%{_target_platform}
cd obj-%{_target_platform}
%ifarch i386 i486
BuildFlags="-m486"
%endif
%ifarch i586 
BuildFlags="-mpentium -march=pentium"
%endif
%ifarch i686
BuildFlags="-mpentiumpro -march=pentiumpro"
%endif
CFLAGS="$BuildFlags -pipe -O3" ../configure --prefix=%{GCC_PREFIX} \
	--enable-shared --enable-threads=posix \
	%{_target_platform}
numprocs=`cat /proc/cpuinfo | grep processor | wc | cut -c7`
if [ "$numprocs" = "0" ]; then
  numprocs=1
fi
# FIXEME parallele compiling break compilation of libjcj
#make bootstrap-lean MAKE="make -j$numprocs" -j$numprocs CFLAGS="$BuildFlags  -pipe -O3" LIBCFLAGS="$BuildFlags -O3 -g" LIBCXXFLAGS="$BuildFlags -O3 -g"
make bootstrap-lean CFLAGS="$BuildFlags  -pipe -O3" LIBCFLAGS="$BuildFlags -O3 -g" LIBCXXFLAGS="$BuildFlags -O3 -g"

# run the tests.
# rpm seems to terminate when make -k check fails.
make -k check || true

# Copy various doc files here and there
cd ..
mkdir -p rpm.doc/libstdc++ rpm.doc/g77 rpm.doc/chill rpm.doc/objc rpm.doc/libgcj

(cd libio; for i in ChangeLog*; do
	cp -p $i ../rpm.doc/libstdc++/$i.libio
done)
(cd libstdc++; for i in ChangeLog*; do
	cp -p $i ../rpm.doc/libstdc++/$i.libstdc++
done)
(cd gcc/f; for i in ChangeLog*; do
	cp -p $i ../../rpm.doc/g77/$i.f
done)
(cd libf2c; for i in ChangeLog*; do
	cp -p $i ../rpm.doc/g77/$i.libf2c
done)
(cd gcc/ch; for i in ChangeLog*; do
	cp -p $i ../../rpm.doc/chill/$i.ch
done)
(cd libchill; for i in ChangeLog*; do
	cp -p $i ../rpm.doc/chill/$i.libchill
done)
(cd gcc/objc; for i in README*; do
	cp -p $i ../../rpm.doc/objc/$i.objc
done)
(cd libobjc; for i in README*; do
	cp -p $i ../rpm.doc/objc/$i.libobjc
done)
(cp -p libgcj/ChangeLog rpm.doc/libgcj/ChangeLog
for i in boehm-gc/ChangeLog libjava/ChangeLog zlib/ChangeLog; do
	cp -p $i rpm.doc/libgcj/ChangeLog.`echo $i | sed 's|/.*||'`
done)

%install
rm -fr $RPM_BUILD_ROOT
cd obj-%{_target_platform}
make install \
	prefix=$RPM_BUILD_ROOT%{GCC_PREFIX} \
	mandir=$RPM_BUILD_ROOT%{GCC_PREFIX}/man \
	MAKEINFO="makeinfo --no-split" 

FULLVER=`$RPM_BUILD_ROOT%{GCC_PREFIX}/bin/%{_target_platform}-gcc --version | \
	cut -d' ' -f1`
FULLPATH=$(dirname $RPM_BUILD_ROOT%{GCC_PREFIX}/lib/gcc-lib/%{_target_platform}/$FULLVER/cc1)

file $RPM_BUILD_ROOT/%{GCC_PREFIX}/bin/* | grep ELF | cut -d':' -f1 | xargs strip || :
strip $FULLPATH/{cc1,cc1obj,cpp,f771,jc1,jvgenmain,cc1chill}

# fix libiberty.a location from conflict with binutils
mkdir $RPM_BUILD_ROOT%{GCC_PREFIX}/%{_target_platform}/lib
mv $RPM_BUILD_ROOT%{GCC_PREFIX}/lib/libiberty.a $RPM_BUILD_ROOT%{GCC_PREFIX}/%{_target_platform}/lib/libiberty.a

# fix some things
ln -sf %{_target_platform}-gcc $RPM_BUILD_ROOT%{GCC_PREFIX}/bin/egcs

ln -sf gcc.1 $RPM_BUILD_ROOT%{GCC_PREFIX}/man/man1/egcs.1

ln -sf gcc $RPM_BUILD_ROOT%{GCC_PREFIX}/bin/cc

rm -f $RPM_BUILD_ROOT%{GCC_PREFIX}/info/dir
gzip -n -9f $RPM_BUILD_ROOT%{GCC_PREFIX}/info/*.info*

ln -sf g77 $RPM_BUILD_ROOT%{GCC_PREFIX}/bin/f77

mkdir -p $RPM_BUILD_ROOT/lib
ln -sf ../${FULLPATH##$RPM_BUILD_ROOT/}/cpp $RPM_BUILD_ROOT/lib/cpp

ln -sf cccp.1 $RPM_BUILD_ROOT%{GCC_PREFIX}/man/man1/cpp.1

if [ %{_vendor} = "redhat"  -o  %{_vendor} = "mandrake" -o %{_vendor} = "pc" ]; then
#install the compatibility libstdc++ library
[ -d ../compat/%{_target_cpu} ] && install -m 755 ../compat/%{_target_cpu}/* $RPM_BUILD_ROOT%{GCC_PREFIX}/lib/
fi

cd ..
cat >gcc-filelist <<EOF
%defattr(-,root,root)
%{GCC_PREFIX}/bin/gcc
%{GCC_PREFIX}/bin/egcs
%{GCC_PREFIX}/bin/cc
%{GCC_PREFIX}/bin/protoize
%{GCC_PREFIX}/bin/unprotoize
%{GCC_PREFIX}/bin/gcov
%{GCC_PREFIX}/bin/%{_target_platform}-gcc
%{GCC_PREFIX}/man/man1/gcc.1
%{GCC_PREFIX}/man/man1/egcs.1
%{GCC_PREFIX}/info/gcc*
%{GCC_PREFIX}/%{_target_platform}/lib/libiberty.a
%dir %{GCC_PREFIX}/lib/gcc-lib
%dir %{GCC_PREFIX}/lib/gcc-lib/%{_target_platform}
%dir %{GCC_PREFIX}/lib/gcc-lib/%{_target_platform}/%{GCC_VERSION}
%dir %{GCC_PREFIX}/lib/gcc-lib/%{_target_platform}/%{GCC_VERSION}/include
%{GCC_PREFIX}/lib/gcc-lib/%{_target_platform}/%{GCC_VERSION}/cc1
%{GCC_PREFIX}/lib/gcc-lib/%{_target_platform}/%{GCC_VERSION}/collect2
%{GCC_PREFIX}/lib/gcc-lib/%{_target_platform}/%{GCC_VERSION}/crt*.o
%{GCC_PREFIX}/lib/gcc-lib/%{_target_platform}/%{GCC_VERSION}/libgcc.a
%{GCC_PREFIX}/lib/gcc-lib/%{_target_platform}/%{GCC_VERSION}/libgcc.map
%{GCC_PREFIX}/lib/gcc-lib/%{_target_platform}/%{GCC_VERSION}/SYSCALLS.c.X
%{GCC_PREFIX}/lib/gcc-lib/%{_target_platform}/%{GCC_VERSION}/specs
%doc gcc/README* gcc/*ChangeLog*
EOF

(cd $RPM_BUILD_ROOT%{GCC_PREFIX}/lib/gcc-lib/%{_target_platform}/%{GCC_VERSION}/include &&
	ls | egrep -v '^((objc)|(exception)|(typeinfo)|(new(\.h)?))$'
) | sed 's|^|%{GCC_PREFIX}/lib/gcc-lib/%{_target_platform}/%{GCC_VERSION}/include/|' \
	>>gcc-filelist

if [ %{_vendor} = "redhat" -o %{_vendor} = "pc" ]; then
cat >libstdc++-filelist <<EOF
%defattr(-,root,root)
%{GCC_PREFIX}/lib/libstdc++-3-libc*-%{STDC_VERSION}.so
%{GCC_PREFIX}/lib/libstdc++-libc*.so.3
%{GCC_PREFIX}/lib/gcc-lib/%{_target_platform}/%{GCC_VERSION}/libstdc++.so
%ifarch sparc
%defattr(-n,root,root)
%{GCC_PREFIX}/lib/libstdc++.so.2.8.0
%{GCC_PREFIX}/lib/libstdc++-2-libc6.1-1-2.9.0.so
%endif
%ifarch i386 i486 i586 i686 alpha
%defattr(-,root,root)
%{GCC_PREFIX}/lib/libg++.so.2.7.2.8
%{GCC_PREFIX}/lib/libstdc++.so.2.7.2.8
%{GCC_PREFIX}/lib/libstdc++.so.2.8.0
%{GCC_PREFIX}/lib/libstdc++.so.2.9
%{GCC_PREFIX}/lib/libstdc++.so.2.9.0
%{GCC_PREFIX}/lib/libstdc++-2-libc6.1-1-2.9.0.so
%endif
EOF
fi

if [ %{_vendor} = "mandrake"  ]  ; then
cat >libstdc++-filelist <<EOF
%defattr(-,root,root)
%{GCC_PREFIX}/lib/libstdc++-3-libc*-%{STDC_VERSION}.so
%{GCC_PREFIX}/lib/libstdc++-libc*.so.3
%{GCC_PREFIX}/lib/gcc-lib/%{_target_platform}/%{GCC_VERSION}/libstdc++.so
%ifarch i586 i686
%defattr(-,root,root)
%{GCC_PREFIX}/lib/libg++.so.2.7.2.8
%{GCC_PREFIX}/lib/libstdc++.so.2.7.2.8
%{GCC_PREFIX}/lib/libstdc++.so.2.8.0
%{GCC_PREFIX}/lib/libstdc++.so.2.9.0
%{GCC_PREFIX}/lib/libstdc++-libc6.1-1.so.2
%endif
EOF
fi

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/install-info \
        --info-dir=%{GCC_PREFIX}/info %{GCC_PREFIX}/info/gcc.info.gz

%preun
if [ $1 = 0 ]; then
   /sbin/install-info --delete \
        --info-dir=%{GCC_PREFIX}/info %{GCC_PREFIX}/info/gcc.info.gz
fi

%post -n libstdc++
if ! grep '^%{GCC_PREFIX}/lib$' /etc/ld.so.conf > /dev/null 2>&1; then
	echo %{GCC_PREFIX}/lib >>/etc/ld.so.conf
fi
/sbin/ldconfig

%postun -n libstdc++
if [ "$1" = "0" ]; then
	grep -v "%{GCC_PREFIX}/lib" /etc/ld.so.conf >/etc/ld.so.conf.new
	mv -f /etc/ld.so.conf.new /etc/ld.so.conf
fi
/sbin/ldconfig

%post g77
/sbin/install-info \
	--info-dir=%{GCC_PREFIX}/info %{GCC_PREFIX}/info/g77.info.gz

%preun g77
if [ $1 = 0 ]; then
   /sbin/install-info --delete \
	--info-dir=%{GCC_PREFIX}/info %{GCC_PREFIX}/info/g77.info.gz
fi

%post chill
/sbin/install-info \
	--info-dir=%{GCC_PREFIX}/info %{GCC_PREFIX}/info/chill.info.gz

%preun chill
if [ $1 = 0 ]; then
   /sbin/install-info --delete \
	--info-dir=%{GCC_PREFIX}/info %{GCC_PREFIX}/info/chill.info.gz
fi

%post -n libgcj
if ! grep '^%{GCC_PREFIX}/%{_target_platform}/lib$' /etc/ld.so.conf > /dev/null 2>&1; then
	echo %{GCC_PREFIX}/lib >>/etc/ld.so.conf
fi
/sbin/ldconfig

%postun -n libgcj
if [ "$1" = "0" ]; then
	grep -v "%{GCC_PREFIX}/%{_target_platform}/lib" /etc/ld.so.conf >/etc/ld.so.conf.new
	mv -f /etc/ld.so.conf.new /etc/ld.so.conf
fi
/sbin/ldconfig

%post -n cpp
/sbin/install-info \
	--info-dir=%{GCC_PREFIX}/info %{GCC_PREFIX}/info/cpp.info.gz

%preun -n cpp
if [ $1 = 0 ]; then
   /sbin/install-info --delete \
	--info-dir=%{GCC_PREFIX}/info %{GCC_PREFIX}/info/cpp.info.gz
fi

/sbin/ldconfig

%files -f gcc-filelist

%files -n cpp
%defattr(-,root,root)
%{CPP_PREFIX}/cpp
%{GCC_PREFIX}/bin/cpp
%{GCC_PREFIX}/man/man1/cpp.1
%{GCC_PREFIX}/man/man1/cccp.1
%{GCC_PREFIX}/info/cpp.info*.gz
%{GCC_PREFIX}/lib/gcc-lib/%{_target_platform}/%{GCC_VERSION}/cpp

%files c++
%defattr(-,root,root)
%{GCC_PREFIX}/man/man1/g++.1
%{GCC_PREFIX}/bin/g++
%{GCC_PREFIX}/bin/c++
%{GCC_PREFIX}/bin/c++filt
%{GCC_PREFIX}/lib/gcc-lib/%{_target_platform}/%{GCC_VERSION}/cc1plus
%{GCC_PREFIX}/lib/gcc-lib/%{_target_platform}/%{GCC_VERSION}/include/exception
%{GCC_PREFIX}/lib/gcc-lib/%{_target_platform}/%{GCC_VERSION}/include/new
%{GCC_PREFIX}/lib/gcc-lib/%{_target_platform}/%{GCC_VERSION}/include/new.h
%{GCC_PREFIX}/lib/gcc-lib/%{_target_platform}/%{GCC_VERSION}/include/typeinfo
%{GCC_PREFIX}/include/g++*
%{GCC_PREFIX}/lib/libstdc++-3-libc*-%{STDC_VERSION}.a
%{GCC_PREFIX}/lib/libstdc++-libc*.a.3
%dir %{GCC_PREFIX}/lib/gcc-lib
%dir %{GCC_PREFIX}/lib/gcc-lib/%{_target_platform}
%dir %{GCC_PREFIX}/lib/gcc-lib/%{_target_platform}/%{GCC_VERSION}
%dir %{GCC_PREFIX}/lib/gcc-lib/%{_target_platform}/%{GCC_VERSION}/include
%{GCC_PREFIX}/lib/gcc-lib/%{_target_platform}/%{GCC_VERSION}/libstdc++.a
%doc rpm.doc/libstdc++/*
%doc gcc/cp/ChangeLog*
%ifarch ppc
%{GCC_PREFIX}/lib/nof
%endif

%files -n libstdc++ -f libstdc++-filelist

%files objc
%defattr(-,root,root)
%dir %{GCC_PREFIX}/lib/gcc-lib
%dir %{GCC_PREFIX}/lib/gcc-lib/%{_target_platform}
%dir %{GCC_PREFIX}/lib/gcc-lib/%{_target_platform}/%{GCC_VERSION}
%dir %{GCC_PREFIX}/lib/gcc-lib/%{_target_platform}/%{GCC_VERSION}/include
%{GCC_PREFIX}/lib/gcc-lib/%{_target_platform}/%{GCC_VERSION}/cc1obj
%{GCC_PREFIX}/lib/gcc-lib/%{_target_platform}/%{GCC_VERSION}/libobjc.a
%{GCC_PREFIX}/lib/gcc-lib/%{_target_platform}/%{GCC_VERSION}/include/objc
%doc rpm.doc/objc/*
%doc libobjc/THREADS* libobjc/ChangeLog

%files g77
%defattr(-,root,root)
%{GCC_PREFIX}/bin/g77
%{GCC_PREFIX}/bin/f77
%{GCC_PREFIX}/info/g77*
%dir %{GCC_PREFIX}/lib/gcc-lib
%dir %{GCC_PREFIX}/lib/gcc-lib/%{_target_platform}
%dir %{GCC_PREFIX}/lib/gcc-lib/%{_target_platform}/%{GCC_VERSION}
%dir %{GCC_PREFIX}/lib/gcc-lib/%{_target_platform}/%{GCC_VERSION}/include
%{GCC_PREFIX}/lib/gcc-lib/%{_target_platform}/%{GCC_VERSION}/f771
%{GCC_PREFIX}/lib/gcc-lib/%{_target_platform}/%{GCC_VERSION}/libg2c.a
%{GCC_PREFIX}/man/man1/g77.1
%{GCC_PREFIX}/lib/gcc-lib/%{_target_platform}/%{GCC_VERSION}/include/g2c.h
%doc gcc/f/README rpm.doc/g77/*

%files chill
%defattr(-,root,root)
%{GCC_PREFIX}/bin/chill
%{GCC_PREFIX}/info/chill*
%dir %{GCC_PREFIX}/lib/gcc-lib
%dir %{GCC_PREFIX}/lib/gcc-lib/%{_target_platform}
%dir %{GCC_PREFIX}/lib/gcc-lib/%{_target_platform}/%{GCC_VERSION}
%dir %{GCC_PREFIX}/lib/gcc-lib/%{_target_platform}/%{GCC_VERSION}/include
%{GCC_PREFIX}/lib/gcc-lib/%{_target_platform}/%{GCC_VERSION}/cc1chill
%{GCC_PREFIX}/lib/gcc-lib/%{_target_platform}/%{GCC_VERSION}/chill*.o
%{GCC_PREFIX}/lib/gcc-lib/%{_target_platform}/%{GCC_VERSION}/libchill.a
%doc gcc/ch/README gcc/ch/chill.brochure rpm.doc/chill/*

%files java
%defattr(-,root,root)
%{GCC_PREFIX}/bin/gcj
%{GCC_PREFIX}/bin/gcjh
%{GCC_PREFIX}/bin/jcf-dump
%{GCC_PREFIX}/bin/jv-scan
%dir %{GCC_PREFIX}/lib/gcc-lib
%dir %{GCC_PREFIX}/lib/gcc-lib/%{_target_platform}
%dir %{GCC_PREFIX}/lib/gcc-lib/%{_target_platform}/%{GCC_VERSION}
%dir %{GCC_PREFIX}/lib/gcc-lib/%{_target_platform}/%{GCC_VERSION}/include
%{GCC_PREFIX}/lib/gcc-lib/%{_target_platform}/%{GCC_VERSION}/jc1
%{GCC_PREFIX}/lib/gcc-lib/%{_target_platform}/%{GCC_VERSION}/jvgenmain
%doc gcc/java/ChangeLog*

%%files -n libgcj
%defattr(-,root,root)
%{GCC_PREFIX}/bin/jv-convert
%{GCC_PREFIX}/lib/lib*gcj*
%{GCC_PREFIX}/share/libgcj.zip
%doc rpm.doc/libgcj/ChangeLog*

%changelog
* Sat Sep 11 1999 Vu Hung Quan <binaire@videotron.ca>
- add new requires
* Wed Aug 18 1999 Vu Hung Quan <binaire@videotron.ca>
- update to gcc-2.95.1 ; hjl patch included
